/*******************************************************************************
 * Instance třídy Linka představují jednotlivé linky MHD
 *
 * @author    Luboš Pavlíček
 * @version   27. 11. 2011
 */
public class Linka
{
    //== Datové atributy (statické i instancí)==================================
    private int cisloLinky;
    private String prvniZastavka;
    private String posledniZastavka;
    
    /***************************************************************************
     *  Konstruktor 
     */
    public Linka(int cisloLinky, String prvniZastavka, String posledniZastavka) {
        this.cisloLinky = cisloLinky;
        this.prvniZastavka = prvniZastavka;
        this.posledniZastavka = posledniZastavka;
    }

    public int getCisloLinky() {
        return cisloLinky;
    }
    
    public String getPrvniZastavka() {
        return prvniZastavka;
    }
    
    public String getPosledniZastavka() {
        return posledniZastavka;
    }
    
    @Override
    public boolean equals(Object o) {
        if (o instanceof Linka) {
            Linka druha = (Linka) o;
            return cisloLinky == druha.cisloLinky;
        }
        return false;
    }
    
    @Override
    public int hashCode() {
        return cisloLinky;
    }

}
